Tetrarch Thifiell:
To be qualified to become a Dark Wizard, your level must be at least 20 and you must pass the Test of the Dark Wizard. You must meet Shamaness Varika to take the Test of the Dark Wizard. She is staying at the altar, southwest of the village. You must pass the test she gives you and bring back the jewel of darkness as proof.
However, you cannot change profession here. This is because only those who have experienced Human society and understand the great world beyond are qualified to change profession.
For these reasons, you should leave this forest and go to the Human kingdom of Aden. There is a guild secretly built by Dark Elves in the town of Gludio, which is the closest southern land from here. The Grand Masters there will change your profession.
Return